[Pkg-puppet-devel] [facter] 16/180: (FACT-375) Add ci boot from artifacts script
Stig Sandbeck Mathisen
ssm at debian.org
Mon Jun 30 15:06:26 UTC 2014
This is an automated email from the git hooks/post-receive script.
ssm pushed a commit to branch master
in repository facter.
commit c2bc3c5092bb70bec752aae5c4d75e7288831a17
Author: Adrien Thebo <git at somethingsinistral.net>
Date: Thu Mar 6 12:41:15 2014 -0800
(FACT-375) Add ci boot from artifacts script
File taken from puppet:acceptance/bin/ci-bootstrap-from-artifacts.sh at 3c79f8a28ce6f9759070ec8c8f874a142aaf400e
---
acceptance/bin/ci-bootstrap-from-artifacts.sh | 49 +++++++++++++++++++++++++++
1 file changed, 49 insertions(+)
diff --git a/acceptance/bin/ci-bootstrap-from-artifacts.sh b/acceptance/bin/ci-bootstrap-from-artifacts.sh
new file mode 100755
index 0000000..36fdfbd
--- /dev/null
+++ b/acceptance/bin/ci-bootstrap-from-artifacts.sh
@@ -0,0 +1,49 @@
+#! /usr/bin/env bash
+
+###############################################################################
+# Initial preparation for a ci acceptance job in Jenkins. Crucially, it
+# handles the untarring of the build artifact and bundle install, getting us to
+# a state where we can then bundle exec rake the particular ci:test we want to
+# run.
+#
+# Having this checked in in a script makes it much easier to have multiple
+# acceptance jobs. It must be kept agnostic between Linux/Solaris/Windows
+# builds, however.
+
+set -x
+
+# Use our internal rubygems mirror for the bundle install
+if [ -z $GEM_SOURCE ]; then
+ export GEM_SOURCE='http://rubygems.delivery.puppetlabs.net'
+fi
+
+echo "SHA: ${SHA}"
+echo "FORK: ${FORK}"
+echo "BUILD_SELECTOR: ${BUILD_SELECTOR}"
+echo "PACKAGE_BUILD_STATUS: ${PACKAGE_BUILD_STATUS}"
+
+rm -rf acceptance
+mkdir acceptance
+cd acceptance
+tar -xzf ../acceptance-artifacts.tar.gz
+
+echo "===== This artifact is from ====="
+cat creator.txt
+
+bundle install --without=development --path=.bundle/gems
+
+if [[ "${platform}" =~ 'solaris' ]]; then
+ repo_proxy=" :repo_proxy => false,"
+fi
+
+cat > local_options.rb <<-EOF
+{
+ :hosts_file => 'config/nodes/${platform}.yaml',
+ :ssh => {
+ :keys => ["${HOME}/.ssh/id_rsa-old.private"],
+ },
+${repo_proxy}
+}
+EOF
+
+[[ (-z "${PACKAGE_BUILD_STATUS}") || ("${PACKAGE_BUILD_STATUS}" = "success") ]] || exit 1
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-puppet/facter.git
More information about the Pkg-puppet-devel
mailing list